Search found 26 matches

by databoy2k
Sat Oct 27, 2018 3:20 am
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

RTFM indeed; remember, us debian people think everything revolves around "sudo apt install". No compiling when we have PPAs (I say as I type this on a Win10 box). Growing pains - ZM desperately needed an overhaul (my system also runs yahoo, although I haven't had as much luck getting that set up) an...
by databoy2k
Fri Oct 26, 2018 1:26 pm
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

I really appreciate you covering the logic as well. Most of the language is still quite cryptic to me (i'm working on JS for the purpose of Google Apps Scripts - that's a huge upgrade from my previous best knowledge of VBA... ... ...) but I follow the logic. /etc/zm/conf.d/01-system-paths.conf did h...
by databoy2k
Wed Oct 24, 2018 5:22 pm
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

Yes; removing the /zm part of the link worked.
by databoy2k
Tue Oct 23, 2018 2:53 am
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

Hm... hadn't noticed in my eagerness that I can't actually view the cameras from the web console. ZM's still accessing them fine (I get alarms by e-mail) but the actual page isn't working. I get the Zoneminder headers, the controls, a list of the events, but where the video should be I just get the ...
by databoy2k
Sat Oct 20, 2018 9:08 pm
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

your generosity knows no bounds. You are clearly descended from royalty. Thank you very much for all of your help. Yes, the curl command was coming from within an SSH session into the actual server.

maybe your config file should be added to the wiki.

Take care.
by databoy2k
Fri Oct 19, 2018 6:17 pm
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

Yay! Got the index.php to load with that change. It's running on a physical server, but yes I'm accessing it from various other computers around the house. It's not a VM, but removing the "localhost:80" for "*:80" worked. We're back on topic now. Going to [ip]/zm/api initially pulled up a whole new ...
by databoy2k
Fri Oct 19, 2018 11:30 am
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

Yes, that's correct. I'm using iConnor's PPA as listed. It just pushed out an update here to 1.32.2. Nothing in http_error.log. I've also checked Nginx's error and access logs - they're both empty. The only thing that I can get from the logs is under the http_access.log for zoneminder, a hit last ni...
by databoy2k
Fri Oct 19, 2018 2:42 am
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

I feel like i've blasted past your generosity, but it's still not getting there. I've tried the latest version, nginx -t passes, even checking the status of php7.2-fpm and fcgiwrap (and nginx) via systemctl all passes (all active and running). I'm still getting the ERR_CONNECTION_REFUSED message. Is...
by databoy2k
Thu Oct 18, 2018 11:33 am
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

Deleting the default symlink in sites-enabledgot me to Connection Refused. I can still see the default page on [ip]:80. I've poked around the /var/log/nginx/error.log and found that we were getting warnings of "conflicting server name "localhost" on 127.0.0.1:80, ignored" but those stopped after I d...
by databoy2k
Wed Oct 17, 2018 3:39 pm
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

I'm not sure that was the issue; remember that you had me define /usr/share/zoneminder/www as the root at the start of the file. Adding the alias to the /zm didn't help, though; still getting 404 not found. I'm no longer having the access_log or error_log issues, though. nginx -t says that everythin...
by databoy2k
Wed Oct 17, 2018 1:08 am
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

It never ceases to amaze me when someone can effectively create this stuff in their sleep when I'm still at the "ah eff it, sudo everything and see if it works" stage... So I had the "include /etc/nginx/zoneminder.conf" directive inside the server's brackets, so I commented that out and saved. I cre...
by databoy2k
Tue Oct 16, 2018 11:48 am
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

If it hasn't already become clear, I'm about 4 experience points above complete newbie with this stuff - somewhere between "not tripping on the tutorials" and "complete liability on a raid". So I'm not surprised to learn that I'm engaging in Very Bad Practice and doing all sorts of dumb things. Than...
by databoy2k
Sun Oct 14, 2018 1:50 pm
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

--Total Edit as I'm messing around-- So tried @nocifer's configuration. I use a zondeminder.conf which has been added to the default sites-enabled document via include. Of course, that meant having to nuke the server directive. I had to remove the root directive in the proposed confirmation, otherwi...
by databoy2k
Fri Oct 12, 2018 12:12 pm
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Re: Broke my APIs on Upgrade

I've got OPT_USE_API checked. I've also rebooted the server as a whole (because I can do that on mine - ZM's the most critical software it runs). Neither have fixed it. Did get some evolution in the error page, though: Warning (2): Use of undefined constant ZM_OPT_USE_API - assumed 'ZM_OPT_USE_API' ...
by databoy2k
Tue Oct 09, 2018 6:59 pm
Forum: ZoneMinder 1.32.x
Topic: Broke my APIs on Upgrade
Replies: 35
Views: 5248

Broke my APIs on Upgrade

Hey All: The usual "done screwed something up" message that we all get flooded with after an upgrade. http://[ip]/zm/api/ returns the following: Warning (2): Use of undefined constant ZM_OPT_USE_API - assumed 'ZM_OPT_USE_API' (this will throw an Error in a future version of PHP) [APP/Controller/AppC...